## python-cups 1.9.13

=== Makefile ===
NAME=pycups
VERSION=1.9.13
TAG=`echo $(NAME)-$(VERSION) | tr . _`

PYTHONVERS = python2.4

SOURCES=cupsmodule.c cupsconnection.c cupsppd.c setup.py \
	cupsppd.h cupsconnection.h cupsmodule.h

DIST=Makefile test.py \
	COPYING NEWS README TODO ChangeLog

cups.so: $(SOURCES)
	python setup.py build
	mv build/lib*/$@ .

clean:
	-rm -rf build cups.so *.pyc *~

tag:
	cvs tag -c $(TAG)

dist:
	cvs export -r $(TAG) $(NAME)
	mkdir $(NAME)-$(VERSION)
	cd $(NAME); cp -a $(SOURCES) $(DIST) ../$(NAME)-$(VERSION); cd ..
	tar jcf $(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION) $(NAME)

install:
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	python setup.py install $$ROOT

.PHONY: clean tag dist install

## python-cups 1.9.19

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=pycups
-VERSION=1.9.13
+VERSION=1.9.19
 TAG=`echo $(NAME)-$(VERSION) | tr . _`
 
 PYTHONVERS = python2.4

## python-cups 1.9.27

=== Makefile ===
NAME=pycups
VERSION=1.9.27

PYTHONVERS = python2.4

SOURCES=cupsmodule.c cupsconnection.c cupsppd.c setup.py \
	cupsppd.h cupsconnection.h cupsmodule.h

DIST=Makefile test.py \
	examples \
	COPYING NEWS README TODO ChangeLog

cups.so: $(SOURCES)
	CFLAGS=-DVERSION=\\\"$(VERSION)\\\" python setup.py build
	mv build/lib*/$@ .

doc:	cups.so
	rm -rf html
	epydoc -o html --html $<

clean:
	-rm -rf build cups.so *.pyc *~

dist:
	svn export . $(NAME)
	mkdir $(NAME)-$(VERSION)
	cd $(NAME); cp -a $(SOURCES) $(DIST) ../$(NAME)-$(VERSION); cd ..
	tar jcf $(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION) $(NAME)

install:
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	python setup.py install $$ROOT

.PHONY: doc clean dist install

## python-cups 1.9.31

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=pycups
-VERSION=1.9.27
+VERSION=1.9.31
 
 PYTHONVERS = python2.4

## python-cups 1.9.34

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=pycups
-VERSION=1.9.31
+VERSION=1.9.34
 
 PYTHONVERS = python2.4

## python-cups 1.9.41

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 NAME=pycups
-VERSION=1.9.34
-
-PYTHONVERS = python2.4
+VERSION=1.9.41
 
 SOURCES=cupsmodule.c cupsconnection.c cupsppd.c setup.py \
 	cupsppd.h cupsconnection.h cupsmodule.h
@@ -22,11 +20,11 @@
 	-rm -rf build cups.so *.pyc *~
 
 dist:
-	svn export . $(NAME)
+	rm -rf $(NAME)-$(VERSION)
 	mkdir $(NAME)-$(VERSION)
-	cd $(NAME); cp -a $(SOURCES) $(DIST) ../$(NAME)-$(VERSION); cd ..
+	cp -a $(SOURCES) $(DIST) $(NAME)-$(VERSION)
 	tar jcf $(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)
-	rm -rf $(NAME)-$(VERSION) $(NAME)
+	rm -rf $(NAME)-$(VERSION)
 
 install:
 	ROOT= ; \

## python-cups 1.9.48

=== debian/changelog ===
python-cups (1.9.48-1) unstable; urgency=low

  [ Jérôme Guelfucci ]
  * New upstream release.
  * Port the packaging to only use debhelper 7.
  * Use the 3.0 (quilt) source format.
  * debian/copyright: update the copyright information.
  * debian/pyversions: bump the required python version to 2.5.
  * debian/rules: use a tiny rules file.
  * debian/control:
    - build-depend on python-dev instead of python-all-dev.
    - add a homepage field.
    - bump standard-version to 3.8.3.
    - bump required debhelper version to 7.0.50.
  * debian/patches/01_no_epydoc.patch: taken from fedora packaging.

  [ Josselin Mouette ]
  * Add Jérôme, myself and the Python modules team to uploaders.
  * Add missing ${shlibs:Depends}.
  * Build-depend on python-all-dev >= 2.5, not python-dev.
  * Remove debian/pycompat.
  * Require debhelper 7.3.7 for the multiple Python version support.
  * Update Vcs-* fields.
  * Force dh to use the distutils system, not the Makefile in the 
    upstream sources (thanks Jakub and Piotr).
  * Add upstream NEWS to the installed files.
  * Grab DEB_UPSTREAM_VERSION macro from cdbs.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Feb 2010 18:41:52 +0100

python-cups (1.9.31-1.1) unstable; urgency=low

  * Non-maintainer upload by cups maintainer.
  * debian/control: Build against libcups2-dev instead of the ancient
    libcupsys2-dev. We finally want to get rid of the transitional names.
    (Closes: #494032)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Sep 2009 10:56:28 +0000

python-cups (1.9.31-1) unstable; urgency=low

  * Imported upstream version 1.9.31
  * Bump standards-version to 3.7.3 (no changes required)
  * Replace XS-VCS-* fields with VCS-* ones since dpkg has support for
    them now

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 15 Dec 2007 19:04:19 -0200

python-cups (1.9.24-1) unstable; urgency=low

  * New Upstream Version
  * debian/pycompat: Readd since CDBS needs it and ends recreating it
    anyway.
  * debian/watch: Use git-import-orig instead of uupdate so it integrates
    better with our git repository.
  * debian/rules: export upstream version since the upstream has change
    the building system and now uses a mix between python-distutils and
    Makefile.
  * debian/control, debian/pyversions: Stop using XS-Python-Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 15:28:47 -0300

python-cups (1.9.21-3) unstable; urgency=low

  * debian/control:
    - Add XS-VCS-{Git,Browser} fields.
    - Change my e-mail to use the @debian.org.
    - Remove XB-Python-Version field.
  * debian/pycompat: Removed.

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 18 May 2007 21:23:37 -0300

python-cups (1.9.21-2) unstable; urgency=low

  * debian/control: Add build-depends on libcupsys2-dev, closes: #424980.

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 18 May 2007 10:47:29 -0300

python-cups (1.9.21-1) unstable; urgency=low

  [ This package has been done using 1.9.19-0ubuntu1 sources as
    base. Thanks to Jani Monoses <jani@ubuntu.com> by his work on it ]

  * Initial Debian release
  * debian/watch: Added to make easier to update the package version.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 14 May 2007 16:27:55 -0300

=== debian/control ===
Source: python-cups
Section: python 
Priority: optional
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Jérôme Guelfucci <jeromeg@xfce.org>,
           Josselin Mouette <joss@debian.org>,
           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.3.7),
               python-support (>= 0.6),
               python-all-dev (>= 2.5),
               libcups2-dev
Standards-Version: 3.8.3
Homepage: http://cyberelk.net/tim/software/pycups/
VCS-Svn: svn://svn.debian.org/python-modules/packages/python-cups/trunk/
VCS-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-cups/trunk/

Package: python-cups
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for CUPS
 A module for using the CUPS 1.2 API in Python programs.

## python-cups 1.9.49

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 NAME=pycups
-VERSION=1.9.41
+VERSION=1.9.49
 
-SOURCES=cupsmodule.c cupsconnection.c cupsppd.c setup.py \
-	cupsppd.h cupsconnection.h cupsmodule.h
+SOURCES=cupsmodule.c cupsconnection.c cupsppd.c cupsipp.c setup.py \
+	cupsppd.h cupsipp.h cupsconnection.h cupsmodule.h
 
 DIST=Makefile test.py \
 	examples \

## python-cups 1.9.51

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=pycups
-VERSION=1.9.49
+VERSION:=$(shell python setup.py --version)
 
 SOURCES=cupsmodule.c cupsconnection.c cupsppd.c cupsipp.c setup.py \
 	cupsppd.h cupsipp.h cupsconnection.h cupsmodule.h
@@ -9,7 +9,7 @@
 	COPYING NEWS README TODO ChangeLog
 
 cups.so: $(SOURCES)
-	CFLAGS=-DVERSION=\\\"$(VERSION)\\\" python setup.py build
+	python setup.py build
 	mv build/lib*/$@ .
 
 doc:	cups.so

## python-cups 1.9.58

=== Makefile ===
NAME=pycups
VERSION:=$(shell python setup.py --version)
SDIST_ARGS=--formats=bztar -d.
RPMCONFIGDIR:=$(shell rpm -E "%{_rpmconfigdir}" 2>/dev/null || :)

SOURCES=cupsmodule.c cupsconnection.c cupsppd.c cupsipp.c setup.py \
	cupsppd.h cupsipp.h cupsconnection.h cupsmodule.h \
	psdriver.attr postscriptdriver.prov

DIST=Makefile test.py \
	examples \
	COPYING NEWS README TODO ChangeLog

cups.so: force
	python setup.py build
	mv build/lib*/$@ .

doc:	cups.so
	rm -rf html
	epydoc -o html --html $<

doczip:	doc
	cd html && zip ../cups-html.zip *

clean:
	-rm -rf build cups.so *.pyc *~

dist:
	python setup.py sdist $(SDIST_ARGS)

upload:
	python setup.py sdist $(SDIST_ARGS) upload -s

install:	install-rpmhook
	ROOT= ; \
	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
	python setup.py install --skip-build $$ROOT

install-rpmhook:
	if [ -n "$(RPMCONFIGDIR)" ]; then \
		RPMCONFIG="$$DESTDIR$(RPMCONFIGDIR)" ; \
		mkdir -p "$$RPMCONFIG"/fileattrs ; \
		install -m0644 psdriver.attr "$$RPMCONFIG"/fileattrs/ ; \
		install -m0755 postscriptdriver.prov "$$RPMCONFIG"/ ; \
	fi

.PHONY: doc doczip clean dist install install-rpmhook force

## python-cups 1.9.61

=== debian/changelog ===
python-cups (1.9.61-0ubuntu2) precise; urgency=low

  * debian/patches/cupsppd-ppd-dealloc-null-check.patch: Added NULL check
    to the PPD_dealloc() function in cupsppd.c.
  * debian/source/format: Set format 3.0/quilt.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 22 Mar 2012 16:23:09 +0100

python-cups (1.9.61-0ubuntu1) precise; urgency=low

  * New upstream bug fix release
     o IPPRequest_getAttributes() hardened for Py* failures.
     o Prevent NULL dereference when Py_BuildValue fails (Upstream bug #17).
     o Use Py_RETURN_NONE where appropriate.
     o Fixed reference count issues with Py_None (Upstream bug #17).
     o HTTP_AUTHORIZATION_CANCELED constant requires CUPS 1.4 (Upstream bug
       #16).
     o Object lifecycle debugging in cupsppd.c.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 06 Mar 2012 23:34:09 +0100

python-cups (1.9.60-0ubuntu1) precise; urgency=low

  * New upstream release
     o cupsmodule.c: New constants defined.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 30 Jan 2012 14:20:54 +0100

python-cups (1.9.59-0ubuntu1) precise; urgency=low

  * fix LP: #883112 - python-cups no longer depends on libcups2; Add back
    ${shlibs:Depends}, accidentally dropped during the dh_python2 conversion
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 28 Oct 2011 11:56:07 -0500

python-cups (1.9.59-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bug fix release
     o CUPS password callback: Return NULL instead of the empty string when
       handling an exception or when the callback returned an empty string,
       and handle the callback returning None. This avoids infinite password
       dialog loops (LP: #653132).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 04 Oct 2011 15:58:18 +0200

python-cups (1.9.58-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o New adminExportSamba method for the Connection class.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 31 Jul 2011 14:17:48 +0200

python-cups (1.9.56-0ubuntu3) oneiric; urgency=low

  * By setting --buildsystem, the rules file can be simplified.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 01 Jul 2011 11:11:43 +0100

python-cups (1.9.56-0ubuntu2) oneiric; urgency=low

  * Switch to dh_python2. (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 29 Jun 2011 18:18:45 +0100

python-cups (1.9.56-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o Support for IPP_TAG_RESOLUTION.
     o IPP_RES_PER_CM, IPP_RES_PER_INCH, IPP orientation and quality constants.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 03 Jun 2011 00:04:44 +0200

python-cups (1.9.54-0ubuntu1) natty; urgency=low

  * New upstream release
     o RPM hooks for tagging packages with Device IDs of models supported
       by drivers.
     o More defensive coding for deleting a printer from a class (Red Hat bug
       #673468).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 23 Feb 2011 13:42:43 +0100

python-cups (1.9.53-0ubuntu1) natty; urgency=low

  * New upstream release
     o Added Connection.getPPDs2() method which reading out arrays from
       the IPP responses of PPD/driver list polls.
     o New function get_TLS().
     o Use thread-local storage for CUPS password callback to avoid
       segmentation faults (Red Hat bug #662805).
  * debian/patches/ppd-list-extract-also-arrays.patch: Removed, functionality
    implemented upstream by the Connection.getPPDs2() method.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 31 Jan 2011 09:49:19 +0100

python-cups (1.9.51-0ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:10:05 +0000

python-cups (1.9.51-0ubuntu2) maverick; urgency=low

  * debian/patches/ppd-list-extract-also-arrays.patch: When polling a list of
    available PPDs/drivers from CUPS also read out data arrays from the IPP
    reply and not only the first values. Especially the info of all "*Product:"
    lines and of all supported languages of PPDs get available this way. To
    keep backwards-compatibility, the full arrays are in new fields in the
    output dictionaries, named as the old fields suffixed by "-all", like
    "ppd-product-all".
  * debian/rules: Added patch support.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Jul 2010 15:12:56 +0200

python-cups (1.9.51-0ubuntu1) maverick; urgency=low

  * New upstream release
     o Getting up to date with the CUPS API binding new functions and
       constants.
     o Fix for a stack overflow in Connection.deletePrinterOptionDefault.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Jul 2010 23:36:56 +0200

python-cups (1.9.49-0ubuntu1) lucid; urgency=low

  * New upstream release
     o Fixes LP: #545755 (Red Hat bug #567386).
     o The new release only adds the above-mentioned bug fix, nothing else
       (according to the ChangeLog file), so no problem with the Lucid FF.

 -- Till Kampeter <till.kamppeter@gmail.com>  Thu, 25 Mar 2010 13:17:56 +0100

python-cups (1.9.48-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Till Kampeter <till.kamppeter@gmail.com>  Tue, 09 Feb 2010 21:02:36 +0100

python-cups (1.9.46-0ubuntu3) lucid; urgency=low

  * Rebuild dropping the extension for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2010 22:05:02 +0000

python-cups (1.9.46-0ubuntu2) karmic; urgency=low

  * debian/control: libcupsys2-dev → libcups2-dev, we want to get rid of the
    old names finally. (See Debian #494032)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 01 Sep 2009 13:03:54 +0200

python-cups (1.9.46-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 25 Jul 2009 12:59:27 +0200

python-cups (1.9.45-0ubuntu2) jaunty; urgency=low

  * Rebuild for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 14:26:17 +0100

python-cups (1.9.45-0ubuntu1) jaunty; urgency=low



=== debian/control ===
Source: python-cups
Section: python 
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.6-3~), libcups2-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
VCS-Git: git://git.debian.org/git/collab-maint/python-cups.git
VCS-Browser: http://git.debian.org/?p=collab-maint/python-cups.git

Package: python-cups
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python bindings for CUPS
 A module for using the CUPS 1.2 API in Python programs.

=== debian/rules ===
#!/usr/bin/make -f

# Used during building to set the version
export CFLAGS=-DVERSION=\"$(DEB_UPSTREAM_VERSION)\"

DEB_DESTDIR := debian/python-cups


%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_install:
	dh_auto_install
	make DESTDIR=$(DEB_DESTDIR) RPMCONFIGDIR=/usr/lib/rpm install-rpmhook

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## python-cups 1.9.62

=== debian/changelog ===
python-cups (1.9.62-0ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:08 +0000

python-cups (1.9.62-0ubuntu2) raring-proposed; urgency=low

  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 23 Oct 2012 16:34:36 +0100

python-cups (1.9.62-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1032105)
     o cupsppd.c (PPD_dealloc): Add missing NULL check for debugging message
       (LP: #951001).
     o cupsmodule.c: Define all constants regardless of which version of CUPS
       is built against.
  * debian/patches/cupsppd-ppd-dealloc-null-check.patch: Removed, incorporated
    upstream.
  * debian/patches/python3.patch: Updated to match new source code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 02 Aug 2012 22:07:22 +0200

python-cups (1.9.61-0ubuntu3) quantal; urgency=low

  * Build for python3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Jun 2012 16:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.6-3~), libcups2-dev
+Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python3-all-dev, libcups2-dev
 Standards-Version: 3.9.1
 X-Python-Version: >= 2.6
 VCS-Git: git://git.debian.org/git/collab-maint/python-cups.git
@@ -15,3 +15,9 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Python bindings for CUPS
  A module for using the CUPS 1.2 API in Python programs.
+
+Package: python3-cups
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Python3 bindings for CUPS
+ A module for using the CUPS 1.2 API in Python3 programs.

## python-cups 1.9.63

=== debian/changelog ===
python-cups (1.9.63-1) unstable; urgency=low

  * Team Upload
  [ Jackson Doak ]
  * New upstream release
  * Make debian/copyright debian machine readable format

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 04 Sep 2013 08:17:55 +1000

python-cups (1.9.62-2) unstable; urgency=low

  * Team upload.
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 May 2013 14:22:31 +0200

python-cups (1.9.62-1) experimental; urgency=low

  * Team upload.
  [ Guido Günther ]
  * New upstream version 1.9.62 (Closes: #554825)
    - Fix the "unknown IPP tag" error (Closes: #656640)
  * Update patch

  [ Laurent Bigonville ]
  * Drop debian/patches/02_auth_loop.patch: Applied upstream
  * Switch to dh_python2
  * Bump debhelper compatibility to 9
  * Bump Standards-Version to 3.9.4 (no further changes)
  * debian/copyright: Update copyright information

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Jan 2013 21:40:30 +0100

python-cups (1.9.48-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "cupsd configuration: "cupsdAuthorize: Empty Basic password!"":
    Backport fix from Fedora git:
    http://git.fedorahosted.org/cgit/pycups.git/commit/?id=7fdad2e693e74b8811beca28d4ac6dd1619c988a
    Thanks Andres Cimmarusti for the pointer. Closes: #667995

    Original changelog entry (stripped in our patch):
      * cupsmodule.c (do_password_callback), cupsconnection.c
      (password_callback): Return NULL instead of the empty string
      when handling an exception or when the callback returned an
      empty string, and handle the callback returning None.

    Thanks to Vagrant Cascadian for testing the patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Dec 2012 20:46:59 +0100

=== debian/control ===
Source: python-cups
Section: python
Priority: optional
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Jérôme Guelfucci <jeromeg@xfce.org>,
           Josselin Mouette <joss@debian.org>,
           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.6-3~),
               libcups2-dev
Standards-Version: 3.9.4
Homepage: http://cyberelk.net/tim/software/pycups/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cups/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cups/trunk/
X-Python-Version: >= 2.5

Package: python-cups
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for CUPS
 A module for using the CUPS 1.2 API in Python programs.

=== debian/rules ===
#!/usr/bin/make -f

# Stolen from cdbs, we need this.
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

# Used during building to set the version
export CFLAGS=-DVERSION=\"$(DEB_UPSTREAM_VERSION)\"

%:
	dh $@ --buildsystem=python_distutils --with=python2

## python-cups 1.9.66

=== debian/changelog ===
python-cups (1.9.66-0ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:34:51 +0100

python-cups (1.9.66-0ubuntu1) trusty; urgency=low

  * New upstream release
     o Python3 compatibility
     o cupsconnection.c (PyObject_from_attr_value): Fix getting of booleans.
     o cupsconnection.c (UTF8_from_PyObj): Propagate UTF-8 decoding errors.
     o cupsconnection.c: Don't just append printer name to base URI to get
       printer URI. Need to actually encode the name.
     o cupsconnection.c: Fixed documentation typo for Connection.getPPDs2.
  * debian/patches/python3.patch: Removed, included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Feb 2014 13:08:03 +0100

python-cups (1.9.63-0ubuntu2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:21 +0000

python-cups (1.9.63-0ubuntu1) saucy; urgency=low

  * New upstream release
     o cupsconnection.c (set_ipp_error): IPPError tuple now
       contains a string describing the specific error encountered,
       if available.
  * debian/patches/python3.patch: Refreshed with quilt.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 27 Aug 2013 20:56:41 +0200

=== debian/control ===
Source: python-cups
Section: python 
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python3-all-dev, libcups2-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
VCS-Git: git://git.debian.org/git/collab-maint/python-cups.git
VCS-Browser: http://git.debian.org/?p=collab-maint/python-cups.git

Package: python-cups
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python bindings for CUPS
 A module for using the CUPS 1.2 API in Python programs.

Package: python3-cups
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python3 bindings for CUPS
 A module for using the CUPS 1.2 API in Python3 programs.

=== debian/rules ===
#!/usr/bin/make -f

# Used during building to set the version
export CFLAGS=-DVERSION=\"$(DEB_UPSTREAM_VERSION)\"

DEB_DESTDIR := debian/python-cups

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	make DESTDIR=$(DEB_DESTDIR) RPMCONFIGDIR=/usr/lib/rpm install-rpmhook

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## python-cups 1.9.67

=== debian/changelog ===
python-cups (1.9.67-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 06 Aug 2014 15:57:49 +0200

## python-cups 1.9.72

=== debian/changelog ===
python-cups (1.9.72-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Feb 2015 18:11:20 -0200

python-cups (1.9.67-0ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Dec 2014 07:45:40 -0800

## python-cups 1.9.73

=== debian/changelog ===
python-cups (1.9.73-0ubuntu2) xenial; urgency=medium

  * Drop python3.4 modules.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:45:24 +0100

python-cups (1.9.73-0ubuntu1) wily; urgency=medium

  * New upstream release
     - Fixed build for CUPS 1.6.3 by making several constants conditional
       on CUPS >= 1.7.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Aug 2015 15:02:37 -0300

python-cups (1.9.72-1) unstable; urgency=medium

  * Team Upload
  * New upstream release
  * Start building python3 packages

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Jul 2015 18:34:58 +0200

=== debian/control ===
Source: python-cups
Section: python
Priority: optional
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Jérôme Guelfucci <jeromeg@xfce.org>,
           Josselin Mouette <joss@debian.org>,
           Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               libcups2-dev
Standards-Version: 3.9.6
Homepage: http://cyberelk.net/tim/software/pycups/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cups/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cups/trunk/
X-Python-Version: >= 2.6

Package: python-cups
Architecture: any
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python bindings for CUPS
 A module for using the CUPS 1.2 API in Python programs.

Package: python3-cups
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for CUPS
 A module for using the CUPS 1.2 API in Python3 programs.

=== debian/rules ===
#!/usr/bin/make -f

# Stolen from cdbs, we need this.
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

# Used during building to set the version
export CFLAGS=-DVERSION=\"$(DEB_UPSTREAM_VERSION)\"

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3

override_dh_install:
	dh_install --list-missing

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
            $$python setup.py build; \
	done;

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
            $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done;

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

=== debian/watch ===
version=3
http://cyberelk.net/tim/data/pycups/pycups-(.*).tar.bz2 debian git-import-orig

## python-cups 1.9.73.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
+PYTHON=python
 NAME=pycups
-VERSION:=$(shell python setup.py --version)
+VERSION:=$(shell $(PYTHON) setup.py --version)
 SDIST_ARGS=--formats=bztar -d.
 RPMCONFIGDIR:=$(shell rpm -E "%{_rpmconfigdir}" 2>/dev/null || :)
 
@@ -9,11 +10,11 @@
 
 DIST=Makefile test.py \
 	examples \
-	COPYING NEWS README TODO ChangeLog
+	COPYING NEWS README TODO
 
 cups.so: force
-	python setup.py build
-	mv build/lib*/$@ .
+	$(PYTHON) setup.py build
+	ln -sf build/lib*/$@ .
 
 doc:	cups.so
 	rm -rf html
@@ -26,15 +27,15 @@
 	-rm -rf build cups.so *.pyc *~
 
 dist:
-	python setup.py sdist $(SDIST_ARGS)
+	$(PYTHON) setup.py sdist $(SDIST_ARGS)
 
 upload:
-	python setup.py sdist $(SDIST_ARGS) upload -s
+	$(PYTHON) setup.py sdist $(SDIST_ARGS) upload -s
 
 install:	install-rpmhook
 	ROOT= ; \
 	if [ -n "$$DESTDIR" ]; then ROOT="--root $$DESTDIR"; fi; \
-	python setup.py install --skip-build $$ROOT
+	$(PYTHON) setup.py install --skip-build $$ROOT
 
 install-rpmhook:
 	if [ -n "$(RPMCONFIGDIR)" ]; then \

=== debian/changelog ===
python-cups (1.9.73.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 6bcd7a73a4e9a470a6480d9293364dc069c3084d']

 -- shuttle <shuttle@deepin.com>  Sat, 30 Nov 2019 16:09:26 +0000

## python-cups 2.0.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PYTHON=python
 NAME=pycups
 VERSION:=$(shell $(PYTHON) setup.py --version)
-SDIST_ARGS=--formats=bztar -d.
+SDIST_ARGS=--formats=gztar -d.
 RPMCONFIGDIR:=$(shell rpm -E "%{_rpmconfigdir}" 2>/dev/null || :)
 
 SOURCES=cupsmodule.c cupsconnection.c cupsppd.c cupsipp.c setup.py \

=== debian/changelog ===
python-cups (2.0.1-5build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:27 +0000

python-cups (2.0.1-5build5) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:55:15 +1300

python-cups (2.0.1-5build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:40:05 +0000

python-cups (2.0.1-5build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:30:25 -0500

python-cups (2.0.1-5build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:48:00 +0000

python-cups (2.0.1-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:52:03 +0000

python-cups (2.0.1-5) unstable; urgency=medium

  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 17:24:19 +0200

python-cups (2.0.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/tests/control: Add python3-all to Depends:.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 23 Oct 2020 15:47:20 +1300

python-cups (2.0.1-3) unstable; urgency=medium

  * Mark python3-cups Multi-Arch: same

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Sep 2020 10:43:22 +0200

python-cups (2.0.1-2) unstable; urgency=medium

  * Add autopkgtests running the test and example scripts; with thanks to
    Louis-Philippe Véronneau <pollo> for bootstrapping this

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Aug 2020 20:36:30 +0200

python-cups (2.0.1-1) unstable; urgency=medium

  * New 2.0.1 upstream release (Closes: #966512)
  * Expand description slightly
  * Refresh d/copyright
  * Refresh no_epydoc patch description
  * Drop Jérôme Guelfucci from uploaders, with thanks for their past work

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2020 21:57:14 +0200

python-cups (1.9.73-4) unstable; urgency=medium

  * Team upload
  * Update Homepage and d/watch URLs
    - Merge v1.9.73 from upstream's VCS
    - Set upstream metadata fields
  * Bump debhelper from old 10 to 13.
  * Bump S-V to 4.5.0 without changes needed
  * Add myself and the Debian Printing Team as uploaders

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Aug 2020 12:57:15 +0200

python-cups (1.9.73-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937679
  * Remove Josselin Mouette from Uploaders; Closes: #930182

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Dec 2019 17:39:22 -0500

python-cups (1.9.73-2) unstable; urgency=medium

  * Team upload.
  * Change Maintainer from otavio@debian.org to DPMT (Closes: #847258)
  * Bump debhelper compatibility level to 10
  * Use autopkgtest-pkg-python testsuite instead of current d/tests
  * Standards-Version is 4.1.1 now (no changes needed)
  * d/control: Remove pre-wheezy versioned depends
  * d/rules:
    - Use /usr/share/dpkg/pkg-info.mk for version
    - Enable hardening

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 21:39:06 +0100

python-cups (1.9.73-1) unstable; urgency=medium

  * Team Upload
  * New upstream release
  * Fixed Vcs-Git (git->https)
  * Standards-Version is 3.9.8 now (no change)
  * Added simple Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Sun, 06 Mar 2016 23:27:04 +0100

=== debian/control ===
Source: python-cups
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Debian Printing Team <debian-printing@lists.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               libcups2-dev
Standards-Version: 4.5.0
Homepage: https://github.com/OpenPrinting/pycups
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cups.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cups
Testsuite: autopkgtest-pkg-python

Package: python3-cups
Architecture: any
Multi-Arch: same
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for CUPS
 A module of python3 bindings for using the CUPS 2+ API in
 python3 programs.
 .
 CUPS needs to be installed and running for python3-cups to work
 correctly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Used during building to set the version
export CFLAGS=-DVERSION=\"$(DEB_VERSION_UPSTREAM)\"

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## python-cups 2.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON=python
+PYTHON=python3
 NAME=pycups
 VERSION:=$(shell $(PYTHON) setup.py --version)
 SDIST_ARGS=--formats=gztar -d.
@@ -18,13 +18,15 @@
 
 doc:	cups.so
 	rm -rf html
-	epydoc -o html --html $<
+	$(PYTHON) -m pydoc -w cups
+	mkdir html
+	mv cups.html html
 
 doczip:	doc
 	cd html && zip ../cups-html.zip *
 
 clean:
-	-rm -rf build cups.so *.pyc *~
+	-rm -rf build cups.so html *.pyc *~ __pycache__
 
 dist:
 	$(PYTHON) setup.py sdist $(SDIST_ARGS)

=== debian/changelog ===
python-cups (2.0.4-3) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * Remove Multi-Arch: same, since *.dist-info/WHEEL files conflict.

  [ Helmut Grohne ]
  * Fix FTCBFS: Multiarchify python Build-Depends (closes: #1107129).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 01:02:02 +0100

python-cups (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Add dependency on python3-setuptools (Closes: #1080730)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 15 Oct 2024 07:48:40 +0200

python-cups (2.0.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Colin Watson ]
  * New upstream release.
  * Use "py3versions -s" in autopkgtest, not "py3versions -r".
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Jun 2024 11:07:25 +0100

=== debian/control ===
Source: python-cups
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Debian Printing Team <debian-printing@lists.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all-dev:any,
               libpython3-all-dev,
               python3-setuptools,
               libcups2-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/OpenPrinting/pycups
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cups.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cups
Testsuite: autopkgtest-pkg-python

Package: python3-cups
Architecture: any
Provides: ${python3:Provides}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 bindings for CUPS
 A module of python3 bindings for using the CUPS 2+ API in
 python3 programs.
 .
 CUPS needs to be installed and running for python3-cups to work
 correctly.

=== debian/tests/control ===
Tests: testscripts
Restrictions: needs-root
Depends: cups, libcups2-dev, python3-all, python3-cups

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-cups-$1\.tar\.gz/ \
  https://github.com/OpenPrinting/pycups/tags .*/v?(\d\S+)\.tar\.gz
